%define polkitd_groupid 54
%define polkitd_userid  54
%define polkit_groupid 65054
%define polkit_userid  65054
Name:          polkit
Version:       122
Release:       1mamba
Summary:       A framework for defining policy for system-wide components
Group:         Applications/Security
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://www.freedesktop.org/software/polkit/
Source:        https://gitlab.freedesktop.org/polkit/polkit.git/%{version}/polkit-%{version}.tar.bz2
Source1:       polkit-60-admin.conf
Patch0:        %{name}-0.101.0-Clarify_that_the_real_uid_is_returned_not_the_effective_one.patch
Patch1:        %{name}-0.101.0-Make-PolkitUnixProcess-also-record-the-uid-of-the-pr.patch
Patch2:        %{name}-0.104-translation_it.patch
Patch3:        polkit-0.111-sysadmin.patch
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libduktape-devel
BuildRequires: libexpat-devel
BuildRequires: libglib-devel
BuildRequires: libpam-devel
BuildRequires: libsystemd-devel
## AUTOBUILDREQ-END
BuildRequires: pam-devel >= 0.81
BuildRequires: dbus-devel >= 0.93
#BuildRequires: libmozjs78-devel
BuildRequires: libduktape-devel
Requires:      polkit-pkla-compat
Provides:      PolicyKit
Obsoletes:     PolicyKit < 0.119
Requires(post): libpolkit = %{?epoch:%epoch:}%{version}-%{release}

%description
PolicyKit is a framework for defining policy for system-wide components and for desktop pieces to configure it.

%package -n lib%{name}
Group:         System/Libraries
Summary:       Shared libraries for %{name}

%description -n lib%{name}
PolicyKit is a framework for defining policy for system-wide components and for desktop pieces to configure it.
This package contains shared libraries for %{name}.

%package -n libpolkit-devel
Summary:       Devel package for %{name}
Group:         Development/Libraries
Requires:      polkit = %{?epoch:%epoch:}%{version}-%{release}
Requires:      libpolkit = %{?epoch:%epoch:}%{version}-%{release}
Provides:      PolicyKit-devel
Obsoletes:     PolicyKit-devel < 0.119
Provides:      polkit-devel
Obsoletes:     polkit-devel < 0.119

%description -n libpolkit-devel
PolicyKit is a framework for defining policy for system-wide components and for desktop pieces to configure it.
This package contains static libraries and header files need for development.

%debug_package

%prep
%setup -q
#%patch0 -p1
#%patch1 -p1
#%patch2 -p1
%patch3 -p1

%build
%meson \
   -Dman=true \
   -Dsession_tracking=libsystemd-login

%meson_build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%meson_install

#install -d %{buildroot}/var/run/PolicyKit-public

%find_lang polkit-1

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%pre
if [ $1 -ge 1 ]; then
   /usr/sbin/groupadd polkitd -g %{polkitd_groupid} 2>/dev/null
   /usr/sbin/useradd -u %{polkitd_userid} -c 'PolicyKit daemon' -d / -g polkitd \
      -s /bin/false polkitd 2>/dev/null
fi
:

%preun
if [ $1 -eq 0 ]; then
   /usr/sbin/groupdel polkitd 2>/dev/null
   /usr/sbin/userdel polkitd 2>/dev/null
fi
:

%post
if [ $1 -gt 1 ]; then
   /usr/sbin/groupdel polkituser 2>/dev/null
   /usr/sbin/userdel polkituser 2>/dev/null
fi
:

%post -n libpolkit
/sbin/ldconfig
:

%postun -n libpolkit
/sbin/ldconfig
:

%files -f polkit-1.lang
%defattr(-,root,root)
%{_sysconfdir}/pam.d/polkit-1
%dir %{_sysconfdir}/polkit-1
%attr(0700,polkitd,polkitd) %dir %{_sysconfdir}/polkit-1/rules.d
%{_bindir}/pkaction
%{_bindir}/pkcheck
%attr(4755,root,polkitd) %{_bindir}/pkexec
%{_bindir}/pkttyagent
%dir %{_prefix}/lib/polkit-1
%attr(4755,root,polkitd) %{_prefix}/lib/polkit-1/polkit-agent-helper-1
%{_prefix}/lib/polkit-1/polkitd
%{_datadir}/dbus-1/system.d/org.freedesktop.PolicyKit1.conf
%{_unitdir}/polkit.service
%{_datadir}/gettext/its/polkit.its
%{_datadir}/gettext/its/polkit.loc
%dir %{_datadir}/polkit-1
%dir %{_datadir}/polkit-1/actions
%{_datadir}/polkit-1/actions/org.freedesktop.policykit.policy
%attr(0700,polkitd,polkitd) %dir %{_datadir}/polkit-1/rules.d
%{_datadir}/polkit-1/rules.d/50-default.rules
%{_datadir}/polkit-1/policyconfig-1.dtd
%{_datadir}/dbus-1/system-services/org.freedesktop.PolicyKit1.service
%{_mandir}/man1/pkttyagent.1*
%{_mandir}/man1/pkaction.1*
%{_mandir}/man1/pkcheck.1*
%{_mandir}/man1/pkexec.1*
%{_mandir}/man8/polkit.8*
%{_mandir}/man8/polkitd.8*

%files -n libpolkit
%defattr(-,root,root)
%{_libdir}/girepository-1.0/PolkitAgent-1.0.typelib
%{_libdir}/girepository-1.0/Polkit-1.0.typelib
%{_libdir}/libpolkit-agent-1.so.*
%{_libdir}/libpolkit-gobject-1.so.*
%doc AUTHORS COPYING

%files -n libpolkit-devel
%defattr(-,root,root)
#%{_bindir}/pk-example-frobnicate
%dir %{_includedir}/polkit-1
%dir %{_includedir}/polkit-1/polkit
%{_includedir}/polkit-1/polkit/*.h
%{_includedir}/polkit-1/polkitagent/*.h
%{_libdir}/libpolkit-agent-1.so
%{_libdir}/libpolkit-gobject-1.so
%{_datadir}/gir-1.0/Polkit-1.0.gir
%{_datadir}/gir-1.0/PolkitAgent-1.0.gir
%{_libdir}/pkgconfig/polkit-agent-1.pc
%{_libdir}/pkgconfig/polkit-gobject-1.pc
%doc ChangeLog

%changelog
* Thu Nov 03 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 122-1mamba
- update to 122

* Tue Oct 11 2022 Automatic Build System <autodist@mambasoft.it> 121-1mamba
- automatic version update by autodist

* Tue Oct 05 2021 Automatic Build System <autodist@mambasoft.it> 0.120-1mamba
- automatic version update by autodist

* Mon Jun 07 2021 Automatic Build System <autodist@mambasoft.it> 0.119-1mamba
- automatic version update by autodist

* Thu Mar 18 2021 Automatic Build System <autodist@mambasoft.it> 0.118-1mamba
- automatic version update by autodist

* Wed Aug 05 2020 Automatic Build System <autodist@mambasoft.it> 0.117-1mamba
- automatic version update by autodist

* Sun Jul 07 2019 Automatic Build System <autodist@mambasoft.it> 0.116-1mamba
- automatic version update by autodist

* Wed Dec 12 2018 Silvan Calarco <silvan.calarco@mambasoft.it> 0.115-2mamba
- rebuilt with libmozjs 52.6.0

* Sat Sep 08 2018 Automatic Build System <autodist@mambasoft.it> 0.115-1mamba
- automatic version update by autodist

* Mon Aug 13 2018 Automatic Build System <autodist@mambasoft.it> 0.114-1mamba
- automatic version update by autodist

* Thu Aug 20 2015 Automatic Build System <autodist@mambasoft.it> 0.113-1mamba
- automatic version update by autodist

* Fri Apr 11 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 0.112-2mamba
- library moved to libpolkit and polkit-devel renamed to libpolkit-devel

* Thu Sep 19 2013 Automatic Build System <autodist@mambasoft.it> 0.112-1mamba
- automatic update by autodist

* Tue Aug 13 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 0.111-2mamba
- require polkit-pkla-compat for .pkla files compatibility (localauthority)
- configure with --enable-libsystemd-login=yes
- patch 50-default.rules to use sysadmin group instead of wheel

* Fri May 17 2013 Automatic Build System <autodist@mambasoft.it> 0.111-1mamba
- automatic version update by autodist

* Tue Mar 19 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 0.110-4mamba
- require libmozjs185 and buildrequire libmozjs185-devel

* Sun Mar 17 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 0.110-3mamba
- fixed permission of rules directories; more default rule from localauthority.conf.d to rules.d

* Sun Mar 17 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 0.110-2mamba
- replace polkituser with more standard polkitd user and group names

* Sun Jan 20 2013 Automatic Build System <autodist@mambasoft.it> 0.110-1mamba
- automatic version update by autodist

* Mon Jan 07 2013 Automatic Build System <autodist@mambasoft.it> 0.109-1mamba
- automatic version update by autodist

* Fri Dec 07 2012 Automatic Build System <autodist@mambasoft.it> 0.108-1mamba
- update to 0.108

* Sat Sep 15 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 0.104-2mamba
- .typelib file moved from -devel to runtime library package

* Sun Feb 19 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 0.104-1mamba
- update to 0.104

* Mon Nov 21 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 0.102-3mamba
- rebuilt with correct glib version

* Mon Nov 21 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 0.102-2mamba
- install localauthority configuration file for group sysadmin (moved from system-base-openmamba)

* Mon Oct 03 2011 Automatic Build System <autodist@mambasoft.it> 0.102-1mamba
- automatic version update by autodist

* Thu Jul 28 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 0.101-2mamba
- added two upstream patches to have polkit_unix_process_get_uid required by accountsservice

* Sun Jul 24 2011 Automatic Build System <autodist@mambasoft.it> 0.101-1mamba
- automatic version update by autodist

* Fri Oct 29 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 0.99-2mamba
- add installed empty directories

* Sat Oct 02 2010 Automatic Build System <autodist@mambasoft.it> 0.99-1mamba
- automatic update by autodist

* Thu Jun 10 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 0.96-3mamba
- obsolete PolicyKit

* Sun Apr 04 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 0.96-2mamba
- fixed some files permissions according to configure hints

* Sat Feb 20 2010 Automatic Build System <autodist@mambasoft.it> 0.96-1mamba
- automatic update by autodist

* Wed Oct 14 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 0.94-2mamba
- don't obsolete PolicyKit

* Tue Sep 29 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 0.94-1mamba
- update to 0.94

* Fri Jun 13 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 0.8-1mamba
- update to 0.8

* Wed Apr 11 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 0.3-1mamba
- update to version 0.3 by autospec

* Tue Oct 24 2006 Silvan Calarco <silvan.calarco@mambasoft.it> 0.2cvs20061024-1qilnx
- package created by autospec
